Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.odftoolkit.odfdom.dom.element.style
Class OdfPageLayoutPropertiesElement

    java.lang.Object
      org.apache.xerces.dom.NodeImpl
          org.apache.xerces.dom.ChildNode
              org.apache.xerces.dom.ParentNode
                  org.apache.xerces.dom.ElementImpl
                      org.apache.xerces.dom.ElementNSImpl
                          org.odftoolkit.odfdom.dom.element.OdfElement
                              org.odftoolkit.odfdom.dom.element.OdfStylePropertiesBase
                                  org.odftoolkit.odfdom.dom.element.style.OdfPageLayoutPropertiesElement

All Implemented Interfaces:
  Serializable, Cloneable, Element, EventTarget, Node, NodeList, TypeInfo

Direct Known Subclasses:
  OdfPageLayoutProperties

    public abstract class OdfPageLayoutPropertiesElement

extends OdfStylePropertiesBase

DOM implementation of OpenDocument element style:page-layout-properties.

See Also:
  Serialized Form

Field Summary
`static OdfStyleProperty` | `BackgroundColor`
`static OdfStyleProperty` | `Border`
`static OdfStyleProperty` | `BorderBottom`
`static OdfStyleProperty` | `BorderLeft`
`static OdfStyleProperty` | `BorderLineWidth`
`static OdfStyleProperty` | `BorderLineWidthBottom`
`static OdfStyleProperty` | `BorderLineWidthLeft`
`static OdfStyleProperty` | `BorderLineWidthRight`
`static OdfStyleProperty` | `BorderLineWidthTop`
`static OdfStyleProperty` | `BorderRight`
`static OdfStyleProperty` | `BorderTop`
`static OdfName` | `ELEMENT_NAME`
`static OdfStyleProperty` | `FirstPageNumber`
`static OdfStyleProperty` | `FootnoteMaxHeight`
`static OdfStyleProperty` | `LayoutGridBaseHeight`
`static OdfStyleProperty` | `LayoutGridBaseWidth`
`static OdfStyleProperty` | `LayoutGridColor`
`static OdfStyleProperty` | `LayoutGridDisplay`
`static OdfStyleProperty` | `LayoutGridLines`
`static OdfStyleProperty` | `LayoutGridMode`
`static OdfStyleProperty` | `LayoutGridPrint`
`static OdfStyleProperty` | `LayoutGridRubyBelow`
`static OdfStyleProperty` | `LayoutGridRubyHeight`
`static OdfStyleProperty` | `LayoutGridSnapTo`
`static OdfStyleProperty` | `LayoutGridStandardMode`
`static OdfStyleProperty` | `Margin`
`static OdfStyleProperty` | `MarginBottom`
`static OdfStyleProperty` | `MarginLeft`
`static OdfStyleProperty` | `MarginRight`
`static OdfStyleProperty` | `MarginTop`
`static OdfStyleProperty` | `NumFormat`
`static OdfStyleProperty` | `NumLetterSync`
`static OdfStyleProperty` | `NumPrefix`
`static OdfStyleProperty` | `NumSuffix`
`static OdfStyleProperty` | `Padding`
`static OdfStyleProperty` | `PaddingBottom`
`static OdfStyleProperty` | `PaddingLeft`
`static OdfStyleProperty` | `PaddingRight`
`static OdfStyleProperty` | `PaddingTop`
`static OdfStyleProperty` | `PageHeight`
`static OdfStyleProperty` | `PageWidth`
`static OdfStyleProperty` | `PaperTrayName`
`static OdfStyleProperty` | `Print`
`static OdfStyleProperty` | `PrintOrientation`
`static OdfStyleProperty` | `PrintPageOrder`
`static OdfStyleProperty` | `RegisterTruthRefStyleName`
`static OdfStyleProperty` | `ScaleTo`
`static OdfStyleProperty` | `ScaleToPages`
`static OdfStyleProperty` | `Shadow`
`static OdfStyleProperty` | `TableCentering`
`static OdfStyleProperty` | `WritingMode`

Fields inherited from class org.odftoolkit.odfdom.dom.element.OdfElement
`mOdfDocument`

Fields inherited from class org.apache.xerces.dom.ElementNSImpl
`localName, namespaceURI`

Fields inherited from class org.apache.xerces.dom.ElementImpl
`attributes, name`

Fields inherited from class org.apache.xerces.dom.ParentNode
`firstChild, fNodeListCache, ownerDocument`

Fields inherited from class org.apache.xerces.dom.ChildNode
`nextSibling, previousSibling`

Fields inherited from class org.apache.xerces.dom.NodeImpl
`DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_IS_CONTAINED, DOCUMENT_POSITION_PRECEDING, ELEMENT_DEFINITION_NODE, FIRSTCHILD, flags, HASSTRING, ID, IGNORABLEWS, NORMALIZED, OWNED, ownerNode, READONLY, SPECIFIED, SYNCCHILDREN, SYNCDATA, TREE_POSITION_ANCESTOR, TREE_POSITION_DESCENDANT, TREE_POSITION_DISCONNECTED, TREE_POSITION_EQUIVALENT, TREE_POSITION_FOLLOWING, TREE_POSITION_PRECEDING, TREE_POSITION_SAME_NODE`

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Fields inherited from interface org.w3c.dom.TypeInfo
`DERIVATION_EXTENSION, DERIVATION_LIST, DERIVATION_RESTRICTION, DERIVATION_UNION`

Constructor Summary
`OdfPageLayoutPropertiesElement(OdfFileDom aOwnerDoc)` Create the instance of OdfPageLayoutPropertiesElement

Method Summary
`OdfBinaryDataElement` | `createBinaryDataElement()` Create child element office:binary-data.
`OdfColumnElement` | `createColumnElement(String relWidth)` Create child element style:column.
`OdfColumnSepElement` | `createColumnSepElement(OdfLength width)` Create child element style:column-sep.
`OdfName` | `getOdfName()` Get the element name

Methods inherited from class org.odftoolkit.odfdom.dom.element.OdfStylePropertiesBase
`hashCode`

Methods inherited from class org.odftoolkit.odfdom.dom.element.OdfElement
`cloneNode, equals, findFirstChildNode, findNextChildNode, findPreviousChildNode, getAncestorAs, getOdfAttribute, getParentAs, hasOdfAttribute, insertBefore, onInsertNode, onInsertNode, onRemoveNode, onRemoveNode, removeChild, replaceChild, setOdfAttribute, toString`

Methods inherited from class org.apache.xerces.dom.ElementNSImpl
`getBaseURI, getLocalName, getNamespaceURI, getPrefix, getTypeName, getTypeNamespace, isDerivedFrom, setPrefix, setType, setValues`

Methods inherited from class org.apache.xerces.dom.ElementImpl
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getAttributes, getDefaultAttributes, getElementsByTagName, getElementsByTagNameNS, getNodeName, getNodeType, getSchemaTypeInfo, getTagName, getXercesAttribute, hasAttribute, hasAttributeNS, hasAttributes, isEqualNode, normalize, reconcileDefaultAttributes, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setIdAttribute, setIdAttributeNode, setIdAttributeNS, setOwnerDocument, setReadOnly, setupDefaultAttributes, setXercesAttributeNode, synchronizeData`

Methods inherited from class org.apache.xerces.dom.ParentNode
`getChildNodes, getChildNodesUnoptimized, getFirstChild, getLastChild, getLength, getOwnerDocument, getTextContent, hasChildNodes, item, setTextContent, synchronizeChildren`

Methods inherited from class org.apache.xerces.dom.ChildNode
`getNextSibling, getParentNode, getPreviousSibling`

Methods inherited from class org.apache.xerces.dom.NodeImpl
`addEventListener, appendChild, changed, changes, compareDocumentPosition, compareTreePosition, dispatchEvent, getContainer, getFeature, getNodeNumber, getNodeValue, getReadOnly, getUserData, getUserData, getUserDataRecord, isDefaultNamespace, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, needsSyncChildren, removeEventListener, setNodeValue, setUserData, setUserData`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.w3c.dom.Node
`appendChild, compareDocumentPosition, getChildNodes, getFeature, getFirstChild, getLastChild, getNextSibling, getNodeValue, getOwnerDocument, getParentNode, getPreviousSibling, getTextContent, getUserData, hasChildNodes, isDefaultNamespace, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, setNodeValue, setTextContent, setUserData`

Field Detail

### ELEMENT_NAME

    public static final OdfName ELEMENT_NAME

### PageWidth

    public static final OdfStyleProperty PageWidth

### PageHeight

    public static final OdfStyleProperty PageHeight

### NumFormat

    public static final OdfStyleProperty NumFormat

### NumLetterSync

    public static final OdfStyleProperty NumLetterSync

### NumPrefix

    public static final OdfStyleProperty NumPrefix

### NumSuffix

    public static final OdfStyleProperty NumSuffix

### PaperTrayName

    public static final OdfStyleProperty PaperTrayName

### PrintOrientation

    public static final OdfStyleProperty PrintOrientation

### MarginLeft

    public static final OdfStyleProperty MarginLeft

### MarginRight

    public static final OdfStyleProperty MarginRight

### MarginTop

    public static final OdfStyleProperty MarginTop

### MarginBottom

    public static final OdfStyleProperty MarginBottom

### Margin

    public static final OdfStyleProperty Margin

### Border

    public static final OdfStyleProperty Border

### BorderTop

    public static final OdfStyleProperty BorderTop

### BorderBottom

    public static final OdfStyleProperty BorderBottom

### BorderLeft

    public static final OdfStyleProperty BorderLeft

### BorderRight

    public static final OdfStyleProperty BorderRight

### BorderLineWidth

    public static final OdfStyleProperty BorderLineWidth

### BorderLineWidthTop

    public static final OdfStyleProperty BorderLineWidthTop

### BorderLineWidthBottom

    public static final OdfStyleProperty BorderLineWidthBottom

### BorderLineWidthLeft

    public static final OdfStyleProperty BorderLineWidthLeft

### BorderLineWidthRight

    public static final OdfStyleProperty BorderLineWidthRight

### Padding

    public static final OdfStyleProperty Padding

### PaddingTop

    public static final OdfStyleProperty PaddingTop

### PaddingBottom

    public static final OdfStyleProperty PaddingBottom

### PaddingLeft

    public static final OdfStyleProperty PaddingLeft

### PaddingRight

    public static final OdfStyleProperty PaddingRight

### Shadow

    public static final OdfStyleProperty Shadow

### BackgroundColor

    public static final OdfStyleProperty BackgroundColor

### RegisterTruthRefStyleName

    public static final OdfStyleProperty RegisterTruthRefStyleName

### Print

    public static final OdfStyleProperty Print

### PrintPageOrder

    public static final OdfStyleProperty PrintPageOrder

### FirstPageNumber

    public static final OdfStyleProperty FirstPageNumber

### ScaleTo

    public static final OdfStyleProperty ScaleTo

### ScaleToPages

    public static final OdfStyleProperty ScaleToPages

### TableCentering

    public static final OdfStyleProperty TableCentering

### FootnoteMaxHeight

    public static final OdfStyleProperty FootnoteMaxHeight

### WritingMode

    public static final OdfStyleProperty WritingMode

### LayoutGridMode

    public static final OdfStyleProperty LayoutGridMode

### LayoutGridStandardMode

    public static final OdfStyleProperty LayoutGridStandardMode

### LayoutGridBaseHeight

    public static final OdfStyleProperty LayoutGridBaseHeight

### LayoutGridRubyHeight

    public static final OdfStyleProperty LayoutGridRubyHeight

### LayoutGridLines

    public static final OdfStyleProperty LayoutGridLines

### LayoutGridBaseWidth

    public static final OdfStyleProperty LayoutGridBaseWidth

### LayoutGridColor

    public static final OdfStyleProperty LayoutGridColor

### LayoutGridRubyBelow

    public static final OdfStyleProperty LayoutGridRubyBelow

### LayoutGridPrint

    public static final OdfStyleProperty LayoutGridPrint

### LayoutGridDisplay

    public static final OdfStyleProperty LayoutGridDisplay

### LayoutGridSnapTo

    public static final OdfStyleProperty LayoutGridSnapTo

Constructor Detail

### OdfPageLayoutPropertiesElement

    public OdfPageLayoutPropertiesElement(OdfFileDom aOwnerDoc)

  Create the instance of OdfPageLayoutPropertiesElement

  Parameters:
    `aOwnerDoc` - The type is OdfFileDom

Method Detail

### getOdfName

    public OdfName getOdfName()

  Get the element name

  Specified by:
    `getOdfName` in class `OdfElement`
  Returns:
    return the name of element style:page-layout-properties.

### createBinaryDataElement

    public OdfBinaryDataElement createBinaryDataElement()

  Create child element office:binary-data.

  Returns:
    return the element office:binary-data

### createColumnSepElement

    public OdfColumnSepElement createColumnSepElement(OdfLength width)

  Create child element style:column-sep.

  Parameters:
    `width` - the attribute's type is org.odftoolkit.odfdom.dom.type.OdfLength
  Returns:
    return the element style:column-sep

### createColumnElement

    public OdfColumnElement createColumnElement(String relWidth)

  Create child element style:column.

  Parameters:
    `relWidth` - String
  Returns:
    return the element style:column

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009. All Rights Reserved.